Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041061
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Accruals and Deferralsmajoralways2019-06-10 16:312019-06-24 12:44
ReportermalsasuaView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiona5063333225c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0041061: In Accruals and Deferrals functionality, the date to calculate the conversion rate should be the document date

DescriptionIn Accruals and Deferrals, always should be used the document date to retrieve the conversion rate.

Now, the system is using the Accounting date
Steps To Reproduce. go to Conversion Rate window
- create record from 01-05-2019 to 31-05-2019:
  - rate: 1
- create record from 01-06-2019 to 31-12-2019:
  - rate: 2

. configure Accruals Deferrals

. create and complete a Purchase Invoice using Accruals Deferrals for the next 12 months
 - Date Account: 15-05-2019
. POST it-> accounting records are created for the next 12 months
- for the first record (accounting date 15-05-2019) the conversion rate used is 1
- for the rest of records (accounting date higher than 1st of June) the conversion rate used is 2 -> WRONG: for conversion rate should be used the rate defined for the document date
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0040973 scheduledcollazoandy4 Conversion rate can not be changed with Accruals Deferrals transactions 

-  Notes
(0112775)
collazoandy4 (developer)
2019-06-14 00:45

Go to Conversion Rate window and create a new record:
  Valid from Date: First month date
  Valid to Date: Last month date
  Rate: 1
 Create another record with:
  Valid from Date: First next month date
  Valid to Date: Last day of current year
  Rate: 2

Configure Accruals Deferrals

Go to Purchase Invoice and create a new record:
  BP: Bebidas Alegres, S.L.
  Date Account: Today
  Accruals and Deferrals:
    Date From: First day of month
    Date To: Last day of current year
Complete & Post the invoice and check accounting records are created:
  Post the records and check current conversation rate is used
(0112916)
hgbot (developer)
2019-06-20 16:33

Repository: erp/pmods/org.openbravo.accrualsanddeferrals
Changeset: 647e10318bcdd509429761d2e19e6a6ee0fa05e7
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jun 13 18:13:14 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/647e10318bcdd509429761d2e19e6a6ee0fa05e7 [^]

Fixes issue 41061:In Accruals and Deferrals functionality, the date to calculate
the conversion rate should be the document date

Now the date document date is used to calculate conversion rate when posting the lines

---
M src/org/openbravo/accrualsanddeferrals/erpCommon/ad_forms/DocAccDefPlan.java
M src/org/openbravo/accrualsanddeferrals/erpCommon/ad_forms/DocAccDefPlan_data.xsql
---
(0112917)
hgbot (developer)
2019-06-20 16:33

Repository: erp/pmods/org.openbravo.accrualsanddeferrals
Changeset: 1d8c527ff369b301a630ec8d085e529f125b6292
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Jun 20 16:33:05 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/1d8c527ff369b301a630ec8d085e529f125b6292 [^]

related to issue 41061 applied code review

---
M src/org/openbravo/accrualsanddeferrals/erpCommon/ad_forms/DocAccDefPlan.java
---
(0112918)
hgbot (developer)
2019-06-20 16:33

Repository: erp/devel/pi
Changeset: a5063333225c315b9c67a3ea1c919379ba16c101
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jun 13 18:30:14 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a5063333225c315b9c67a3ea1c919379ba16c101 [^]

Fixes issue 41061:In Accruals and Deferrals functionality, the date to calculate
the conversion rate should be the document date

A new method to get the convertion date was created to be able to redefine in
modules

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0112919)
Sandrahuguet (developer)
2019-06-20 16:44

code review + testing ok
(0112933)
hudsonbot (developer)
2019-06-21 12:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44c767ef7fd4 [^]
Maturity status: Test
(0112957)
hgbot (developer)
2019-06-24 08:18

Repository: erp/devel/pi
Changeset: 1688e2ff0b14c1665a825f988130d0ed64737b8f
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Jun 21 14:04:25 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1688e2ff0b14c1665a825f988130d0ed64737b8f [^]

related to issue 41061 fixed typo

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0112958)
hgbot (developer)
2019-06-24 08:18

Repository: erp/pmods/org.openbravo.accrualsanddeferrals
Changeset: 9a7c4fb9d52aa5f9b373f7f3ac120921e67806f0
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri Jun 21 14:05:12 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/9a7c4fb9d52aa5f9b373f7f3ac120921e67806f0 [^]

related to issue 41061 fixed typo

---
M src/org/openbravo/accrualsanddeferrals/erpCommon/ad_forms/DocAccDefPlan.java
---
(0112973)
hudsonbot (developer)
2019-06-24 12:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8989153ba861 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-10 16:31 malsasua New Issue
2019-06-10 16:31 malsasua Assigned To => Triage Finance
2019-06-10 16:31 malsasua Modules => Core
2019-06-10 16:31 malsasua Triggers an Emergency Pack => No
2019-06-10 16:31 malsasua Relationship added related to 0040973
2019-06-10 16:33 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-06-13 15:43 Sandrahuguet Assigned To nonofrancisco => collazoandy4
2019-06-13 22:28 collazoandy4 Status new => scheduled
2019-06-14 00:45 collazoandy4 Note Added: 0112775
2019-06-20 16:33 hgbot Checkin
2019-06-20 16:33 hgbot Note Added: 0112916
2019-06-20 16:33 hgbot Status scheduled => resolved
2019-06-20 16:33 hgbot Resolution open => fixed
2019-06-20 16:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/647e10318bcdd509429761d2e19e6a6ee0fa05e7 [^]
2019-06-20 16:33 hgbot Checkin
2019-06-20 16:33 hgbot Note Added: 0112917
2019-06-20 16:33 hgbot Checkin
2019-06-20 16:33 hgbot Note Added: 0112918
2019-06-20 16:33 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.accrualsanddeferrals/rev/647e10318bcdd509429761d2e19e6a6ee0fa05e7 [^] => http://code.openbravo.com/erp/devel/pi/rev/a5063333225c315b9c67a3ea1c919379ba16c101 [^]
2019-06-20 16:42 Sandrahuguet Project Openbravo ERP => Modules
2019-06-20 16:44 Sandrahuguet Category 09. Financial management => Accruals and Deferrals
2019-06-20 16:44 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-20 16:44 Sandrahuguet Note Added: 0112919
2019-06-20 16:44 Sandrahuguet Status resolved => closed
2019-06-21 12:54 hudsonbot Checkin
2019-06-21 12:54 hudsonbot Note Added: 0112933
2019-06-24 08:18 hgbot Checkin
2019-06-24 08:18 hgbot Note Added: 0112957
2019-06-24 08:18 hgbot Checkin
2019-06-24 08:18 hgbot Note Added: 0112958
2019-06-24 12:44 hudsonbot Checkin
2019-06-24 12:44 hudsonbot Note Added: 0112973


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker